FROM onedev.site.tesses.net/crosslang/crosslangextras/crosslangextras:latest AS build

WORKDIR /src
RUN git clone https://onedev.site.tesses.net/tytd2025 && cd tytd2025/Tesses.YouTubeDownloader.Server && crosslang build && find /src

FROM onedev.site.tesses.net/crosslang/crosslang:latest

COPY --from=build /src/Tesses.YouTubeDownloader.Server/bin /app
WORKDIR /data

EXPOSE 3255

ENTRYPOINT ["crossvm","--port=3255","/app/Tesses.YouTubeDownloader.Server.crvm"]